org.apache.bcel.generic

## Class ANEWARRAY

- java.lang.Object
- - org.apache.bcel.generic.Instruction
  - - org.apache.bcel.generic.CPInstruction
    - - org.apache.bcel.generic.ANEWARRAY

- All Implemented Interfaces:
    Cloneable, AllocationInstruction, ExceptionThrower, IndexedInstruction, LoadClass, StackConsumer, StackProducer, TypedInstruction

      public class ANEWARRAY
      extends CPInstruction
      implements LoadClass, AllocationInstruction, ExceptionThrower, StackConsumer, StackProducer

  ANEWARRAY - Create new array of references

       Stack: ..., count -> ..., arrayref

- - ### Field Summary

    - ### Fields inherited from class org.apache.bcel.generic.CPInstruction

      `index`

    - ### Fields inherited from class org.apache.bcel.generic.Instruction

      `length, opcode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ANEWARRAY(int index)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(Visitor v)` Call corresponding visitor method(s).
    `Class<?>[]` | `getExceptions()`
    `ObjectType` | `getLoadClassType(ConstantPoolGen cpg)` Returns the `ObjectType` of the referenced class or interface that may be loaded and resolved.

    - ### Methods inherited from class org.apache.bcel.generic.CPInstruction

      `dump, getIndex, getType, initFromFile, setIndex, toString, toString`

    - ### Methods inherited from class org.apache.bcel.generic.Instruction

      `consumeStack, copy, equals, getComparator, getLength, getName, getOpcode, hashCode, isValidByte, isValidShort, produceStack, readInstruction, setComparator, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.bcel.generic.LoadClass

      `getType`

    - ### Methods inherited from interface org.apache.bcel.generic.StackConsumer

      `consumeStack`

    - ### Methods inherited from interface org.apache.bcel.generic.StackProducer

      `produceStack`

- - ### Constructor Detail

    - #### ANEWARRAY

          public ANEWARRAY(int index)

  - ### Method Detail

    - #### accept

          public void accept(Visitor v)

      Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.
      Specified by:
        `accept` in class `Instruction`
      Parameters:
        `v` - Visitor object

    - #### getExceptions

          public Class<?>[] getExceptions()

      Specified by:
        `getExceptions` in interface `ExceptionThrower`

    - #### getLoadClassType

          public ObjectType getLoadClassType(ConstantPoolGen cpg)

      Description copied from interface: `LoadClass`
      Returns the `ObjectType` of the referenced class or interface that may be loaded and resolved.
      Specified by:
        `getLoadClassType` in interface `LoadClass`
      Parameters:
        `cpg` - A ConstantPoolGen
      Returns:
        object type that may be loaded or null if a primitive is referenced

Copyright © 2004–2022 The Apache Software Foundation. All rights reserved.